skeleton travis configuration + npmignore of .asf.yaml (#3)

diff --git a/.npmignore b/.npmignore
index 7d5e6c8..dac21f7 100644
--- a/.npmignore
+++ b/.npmignore
@@ -14,7 +14,9 @@
 .github/
 build/
 test/
+.asf.yaml
 .circleci/
+.travis.yml
 .webpack
 
 codecov.yml
@@ -22,3 +24,4 @@
 .nyc_output/
 coverage/
 test-results/
+travis/
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..3d8cc09
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,35 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+language: node_js
+node_js:
+  - 10
+services:
+  - docker
+
+notifications:
+  email: false
+  webhooks:
+    urls:
+      # travis2slack webhook to enable DMs on openwhisk-team.slack.com to PR authors with TravisCI results
+      # secure: FIXME -- TODO
+
+before_install:
+  - ./travis/scancode.sh
+
+before_script:
+  - ./travis/setup.sh
diff --git a/travis/scancode.sh b/travis/scancode.sh
new file mode 100755
index 0000000..2c354bb
--- /dev/null
+++ b/travis/scancode.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+SCRIPTDIR=$(cd $(dirname "$0") && pwd)
+ROOTDIR="$SCRIPTDIR/../"
+HOMEDIR="$SCRIPTDIR/../../"
+UTIL_DIR="$HOMEDIR/openwhisk-utilities"
+
+# clone OpenWhisk utilities repo. in order to run scanCode.py
+cd $HOMEDIR
+git clone https://github.com/apache/openwhisk-utilities.git
+
+# run scancode
+cd $UTIL_DIR
+scancode/scanCode.py --config scancode/ASF-Release.cfg $ROOTDIR